package com.gic.haoban.manage.web.controller;

import java.util.Date;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.clerk.api.service.ClerkService;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;
import com.gic.haoban.manage.api.service.StaffDepartmentRelatedApiService;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;

@RestController
public class ClerkController extends WebBaseController{
	@Autowired
	private ClerkService clerkService;
	@Autowired
	private StaffDepartmentRelatedApiService staffDepartmentRelatedApiService;
	//成员绑定
	@RequestMapping("/staff-bind")
	public HaobanResponse staffBind(String clerkCode,String staffDepartmentRelatedId) {
		StaffDepartmentRelatedDTO dto = new StaffDepartmentRelatedDTO();
		dto.setStaffDepartmentRelatedId(staffDepartmentRelatedId);
		dto.setClerkCode(clerkCode);
		dto.setUpdateTime(new Date());
		staffDepartmentRelatedApiService.updateById(dto);
		return resultResponse(HaoBanErrCode.ERR_1);
	}
	//成员换绑定
	@RequestMapping("/clerk-unbind")
	public HaobanResponse clerkUnbind(String clerkCode,String staffDepartmentRelatedId) {
		StaffDepartmentRelatedDTO one = staffDepartmentRelatedApiService.getOneByClerkCode(clerkCode);
		if(one != null){
			//存在，则先置空
			one.setClerkCode(null);
			one.setUpdateTime(new Date());
			staffDepartmentRelatedApiService.deleteCode(one);
		}
		//不存在，则更新
		StaffDepartmentRelatedDTO dto = new StaffDepartmentRelatedDTO();
		dto.setStaffDepartmentRelatedId(staffDepartmentRelatedId);
		dto.setClerkCode(clerkCode);
		dto.setUpdateTime(new Date());
		staffDepartmentRelatedApiService.updateById(dto);
		return resultResponse(HaoBanErrCode.ERR_1);
	}

}
